Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.context.exception
Class DefaultExceptionScopeInstance

    java.lang.Object
      org.jbpm.process.instance.context.AbstractContextInstance
          org.jbpm.process.instance.context.exception.ExceptionScopeInstance
              org.jbpm.process.instance.context.exception.DefaultExceptionScopeInstance

All Implemented Interfaces:
  Serializable, ContextInstance

    public class DefaultExceptionScopeInstance

extends ExceptionScopeInstance

See Also:
  Serialized Form

Constructor Summary
`DefaultExceptionScopeInstance()`

Method Summary
`String` | `getContextType()`
`void` | `handleException(ExceptionHandler handler, String exception, Object params)`

Methods inherited from class org.jbpm.process.instance.context.exception.ExceptionScopeInstance
`getExceptionScope, handleException`

Methods inherited from class org.jbpm.process.instance.context.AbstractContextInstance
`getContext, getContextId, getContextInstanceContainer, getProcessInstance, setContextId, setContextInstanceContainer, setProcessInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExceptionScopeInstance

    public DefaultExceptionScopeInstance()

Method Detail

### getContextType

    public String getContextType()

  Specified by:
    `getContextType` in interface `ContextInstance`
  Overrides:
    `getContextType` in class `ExceptionScopeInstance`

### handleException

    public void handleException(ExceptionHandler handler,
                                String exception,
                                Object params)

  Specified by:
    `handleException` in class `ExceptionScopeInstance`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.